
Name:           transmission
Version:        0.6.1
Release:        3%{?dist}
Summary:        A lightweight GTK+ BitTorrent client

Group:          Applications/Internet
License:        MIT
URL:            http://transmission.m0k.org/
Source0:        http://download.m0k.org/transmission/files/Transmission-%{version}.tar.gz
Source1:        transmission.png
Patch0:         transmission-0.6.1-install.patch
Patch1:         transmission-0.6.1-gtk.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  desktop-file-utils
BuildRequires:  gettext intltool

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils


%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.


%prep
%setup -q -n Transmission-%{version}
%patch0 -p1 -b .inst
%patch1 -p1 -b .gtk


%build
%configure
make %{?_smp_mflags} CC=%{__cc}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}-gtk

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/transmission.png

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Transmission
Comment=Download from BitTorrents
Exec=transmission-gtk
Icon=transmission.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;GTK;Network;Internet;X-Fedora;
MimeType=application/x-bittorrent;
EOF

desktop-file-install --vendor fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database > /dev/null 2>&1 || :


%postun
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}-gtk.lang
%defattr(-, root, root, -)
%doc AUTHORS LICENSE NEWS README
%{_bindir}/transmission*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*transmission.desktop
%doc %{_mandir}/man1/transmission*


%changelog
* Thu Sep 28 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-3
- Added project icon
- Honor cc variable

* Mon Sep 25 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-2
- Removed ldconfig Requires

* Wed Sep 13 2006 Denis Leroy <denis@poolshark.org> - 0.6.1-1
- First version

